Compatibility list

More
6 years 1 month ago #241 by JPulowski
Replied by JPulowski on topic Compatibility list
Update: Just tested The Witcher: Enhanced Edition Director's Cut with ReShade 0.15.0.716. Although the compatibility list shows the game as "No depthbuffer access.", I can confirm that this not the case. The game actually has a depth buffer:


The following user(s) said Thank You: crosire, Omnipotus, tybalitea, jas01

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #242 by tekktekk
Replied by tekktekk on topic Compatibility list
Battlefield 1942 // 0.15.0 // d3d8.dll // Issues // Works fine but the game shows error "releaseNativeTexture() release error :3."
And, game crushes when exists the levels. (There is a problem to release the texture memory pool?)
The following user(s) said Thank You: Omnipotus

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #243 by FYKC
Replied by FYKC on topic Compatibility list
Pillars of Eternity is compatible with ReShade 0.15.0 (d3d9.dll). No depth buffer.
The following user(s) said Thank You: Omnipotus

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #244 by tybalitea
Replied by tybalitea on topic Compatibility list
@JPulowski
Did you do something special to make it appear ? I tried with ReShade 0.15.0.716 and it's still locked to the ui.
See : i.imgur.com/XnitPUc.png?1

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #245 by JPulowski
Replied by JPulowski on topic Compatibility list

tybalitea wrote: @JPulowski
Did you do something special to make it appear ? I tried with ReShade 0.15.0.716 and it's still locked to the ui.
See : i.imgur.com/XnitPUc.png?1

Actually you are right, during cut-scenes depth-buffer works. But during in-game it only captures UI content. It's a shame really. Looks like there is only partial depth buffer support. Sorry for the confusion.

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #246 by tybalitea
Replied by tybalitea on topic Compatibility list
@JPulowski
yes, i was so enthusiastic on that, because it would have worked on nwn2 and maybe nwn1 too :p

new games tested :
Sacred 2 gold (0.15.0//d3d9.dll), disable antialiasing and overlay steam, works with depthbuffer
The Battle for Middle-Earth 2 (0.14.0//d3d9.dll), works perfectly

tests screenshots : imgur.com/a/T7myt

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #247 by jas01
Replied by jas01 on topic Compatibility list
I just wanna mentioned that Witcher 2 probably works perfect with the newest version of Reshade. Here you can see some screenshots: Witcher + DOF
sfx.thelazy.net/games/screenshot/19475/

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago - 6 years 1 month ago #248 by Nekrik
Replied by Nekrik on topic Compatibility list
Assasin's Creed Rogue. Perfect. Disable MiniMap in HUD options To get Depth Buffer.
Reshade version: 0.15.0
Hook: dxgi.dll
Last edit: 6 years 1 month ago by Nekrik.
The following user(s) said Thank You: Omnipotus, Aelius Maximus

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago - 6 years 1 month ago #249 by Omnipotus
Replied by Omnipotus on topic Compatibility list
I've updated the Compatibility List with the lastest findings from the community. :)

I've personally tested the following:

  • Armored Hunter GUNHOUND EX
  • Amnesia: Machine for Pigs
  • Amnesia: The Dark Descent
  • Cat Goes Fishing
  • Cities: Skyline
  • Electronic Super Joy
  • Electronic Super Joy: Groove City
  • Final Fantasy III
  • Final Fantasy IV
  • Final Fantasy VII
  • Final Fantasy VIII
  • Finding Teddy
  • Freedom Planet
  • Gigantic Army
  • Gravity Badgers
  • Guacamelee! Gold Edition
  • Gun Monkeys
  • GundeadliGne
  • Gundemonium: Recollection
  • Gunpoint
  • Hammerwatch
  • Hero Siege
  • Hitogata Happa
  • Hotline Miami
  • How to Survive
  • Ikaruga
  • Imagine Me
  • Ittle Dew
  • Jack Lumber
  • Knights of Pen & Paper +1
  • LEGO Batman: The Videogame
  • LEGO Batman 2
  • LEGO Harry Potter: Years 1-4
  • LEGO Harry Potter: Years 5-7
  • LEGO Lord of the Rings
  • LEGO Indiana Jones: The Original Adventures
  • LEGO Indiana Jones 2: The Adventure Continues
  • LEGO Star Wars III: The Clone Wars
  • LEGO Marvel Super Heroes
  • Lili: Child of Geos
  • Lovely Planet
  • Lucius
  • Lunnye Devitsy
  • Mark of the ninja
  • Master Reboot
  • Max: The Curse of Brotherhood
  • Megabyte Punch
  • Meltdown
  • Metal Gear Solid: Ground Zeroes
  • Metal Slug 3
  • Metal Slug X
  • Mini Ninjas
  • Muri
  • Oni
  • Ori and the Blind Forest
  • PixelJunk: Monsters Ultimate
  • Shelter
  • Shelter 2
  • Silent Hill 2: Director's Cut
  • Silent Hill 3
  • The Dark Eye: Memoria
  • The LEGO Movie Videogame
  • Unreal Tournament (2015)

As always, many thanks to all those helping out :D
Last edit: 6 years 1 month ago by Omnipotus.
The following user(s) said Thank You: crosire, GERgta, Aelius Maximus

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #250 by Nekrik
Replied by Nekrik on topic Compatibility list
@Omnipotus, Change the d3d9.dll in Assasin's Creed Rogue hook to dxgi.dll.

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #251 by Omnipotus
Replied by Omnipotus on topic Compatibility list
SHHHhhhhh, you seen nothing :D

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #252 by Evan20xx
Replied by Evan20xx on topic Compatibility list

Omnipotus wrote: I've updated the Compatibility List with the lastest findings from the community. :)

As always, many thanks to all those helping out :D


You must of missed mine. :dry:

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #253 by Aelius Maximus
Replied by Aelius Maximus on topic Compatibility list
Does anyone know the remedy for depth of field only blurring the gun out in a few first person shooters?

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago - 6 years 1 month ago #254 by Omnipotus
Replied by Omnipotus on topic Compatibility list

Evan20xx wrote:

Omnipotus wrote: I've updated the Compatibility List with the lastest findings from the community. :)

As always, many thanks to all those helping out :D


You must of missed mine. :dry:


Indeed I have :D Fixed
Last edit: 6 years 1 month ago by Omnipotus.
The following user(s) said Thank You: Evan20xx

Please Log in or Create an account to join the conversation.

More
6 years 1 month ago #255 by huss93
Replied by huss93 on topic Compatibility list
NEED FOR SPEED RIVALS ( perfect ) dx11 64 bits =)
The following user(s) said Thank You: Omnipotus

Please Log in or Create an account to join the conversation.

More
6 years 4 weeks ago #256 by Courier
Replied by Courier on topic Rainbow Six Vegas 2
Rainbow Six Vegas 2
(DX9)

Tested with Reshade 0.15 & Master Effect
Works perfectly, depthbuffer access is fine. All shaders work correctly, there are no visual bugs and no other errors.
The following user(s) said Thank You: Omnipotus

Please Log in or Create an account to join the conversation.

More
6 years 4 weeks ago - 6 years 4 weeks ago #257 by jmp909
Replied by jmp909 on topic Compatibility list
Hi [FX] O2

did you manage to get any settings in Insane2 for DOF that didn't affect UI?


thanks
J

(PS is this the right place to ask? i'll move threads otherwise)
Last edit: 6 years 4 weeks ago by jmp909.

Please Log in or Create an account to join the conversation.

More
6 years 4 weeks ago - 6 years 4 weeks ago #258 by jmp909
Replied by jmp909 on topic Compatibility list
Rise of the Triad (d3d9 and dxgi / Unreal Engine 3) works (just got it free off GOG but they've run out of keys now, sorry)

(Some hiccups switching between d3d9 and dxgi .. see below)

again I'm not sure how to set the DOF not to affect the UI (using latest Master Effect and Reshade here)



(depth buffer shows it only affecting the hand/gun.. I'm using PETKAGTADOF above)


---

Note:

Initially tried d3d9 and it worked fine, but run the game first once before enabling ReShade.

I then tried using DX10/11 (which UE3 is meant to support) by renaming to dxgi.dll but didn't initially seem to work. dxgi.log here:
pastebin.com/TBEmv2Zk

then i tried reverting to d3d9 and that wouldn't launch at all.. crashed

so i rebooted my PC and it works fine again for some reason. Can switch between d3d9 and dxgi whenever
Last edit: 6 years 4 weeks ago by jmp909.
The following user(s) said Thank You: Omnipotus

Please Log in or Create an account to join the conversation.

More
6 years 4 weeks ago - 6 years 4 weeks ago #259 by crosire
Replied by crosire on topic Compatibility list

jmp909 wrote: I'm not sure how to set the DOF not to affect the UI

You can't. =) (Well, you could achieve something via masking, see the ME thread for details)
Last edit: 6 years 4 weeks ago by crosire.
The following user(s) said Thank You: jmp909

Please Log in or Create an account to join the conversation.

More
6 years 4 weeks ago #260 by jmp909
Replied by jmp909 on topic Compatibility list
thanks Crosire.

I've just updated my post regarding something else. seems switching from DX11 to DX9 then breaks DX9. I'm trying to find out why. I've deleted my settings folder C:\Users\J\Documents\my games\Rise Of The Triad but it's still broken. I don't know if this is something that happens with all UE3 stuff. I'll update if I can find a fix

J

Please Log in or Create an account to join the conversation.